<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
    PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
    "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.propertyManagement.business.mapper.WxProprietorLedgerMapper">

    <resultMap type="com.propertyManagement.business.domain.WxProprietorLedger" id="WxProprietorLedgerResult">
        <result property="proprietorId" column="proprietor_id"/>
        <result property="userId" column="user_id"/>
        <result property="communityId" column="community_id"/>
        <result property="communityName" column="community_name"/>
        <result property="name" column="name"/>
        <result property="phone" column="phone"/>
        <result property="houseType" column="house_type"/>
        <result property="room" column="room"/>
        <result property="sqm" column="sqm"/>
        <result property="sqmPrice" column="sqm_price"/>
        <result property="monthMoney" column="month_money"/>
        <result property="yearMoney" column="year_money"/>
        <result property="birthDate" column="birth_date"/>
        <result property="identityCard" column="identity_card"/>
        <result property="registerAddress" column="register_address"/>
        <result property="presentAddress" column="present_address"/>
        <result property="waterPrepaidMoney" column="water_prepaid_money"/>
        <result property="electricityPrepaidMoney" column="electricity_prepaid_money"/>
        <result property="propertyPrepaidMoney" column="property_prepaid_money"/>
        <result property="parkingSpotPrepaidMoney" column="parking_spot_prepaid_money"/>
        <result property="remark" column="remark"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
    </resultMap>


</mapper>
